#ifndef OUTPUTFORMAT_H
#define OUTPUTFORMAT_H

#include <fstream>

namespace SANC {

class Info;
class Process;

class OutputFormat {
public:
    OutputFormat(Info & _info, Process & _proc);
    virtual ~OutputFormat();
    virtual void setOutput(std::ostream * _output)=0;
    virtual void start()=0;
    virtual void writeEvent(/*Event*/)=0;
    virtual void finish()=0;
protected:
Info & info;
Process & proc;
};

} // namespace SANC

#endif // OUTPUTFORMAT_H
